%global commit f900662fbd61
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global owner plan9-from-bell-labs

Name:		u9fs
Version:	%{shortcommit}
Release:	1%{?dist}
Summary:	U9fs serves the Plan 9 protocol 9P from user-space on other operating systems
License:	LPL
URL:		https://bitbucket.org/plan9-from-bell-labs/u9fs/
Source0:	https://bitbucket.org/%{owner}/%{name}/get/%{commit}.zip
Patch0:		%{name}-man.patch

BuildRequires:	gcc
BuildRequires:	make

%description
U9fs is not a Plan 9 program. Instead it is a program that serves Unix
files to Plan 9 machines using the 9P protocol. It is typically invoked
on a Unix machine by inetd with its standard input and output connected
to a network connection, typically TCP on an Ethernet.

%prep
%setup -q -n %{owner}-%{name}-%{commit}
%patch0 -p1

%build
%make_build

%install
mkdir -p %{buildroot}%{_bindir}/
cp -p u9fs %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_mandir}/man8/
cp -p u9fs.man %{buildroot}%{_mandir}/man8/u9fs.8

%files
%license LICENSE
%doc README.md
%{_bindir}/*
%{_mandir}/man8/*

%changelog
* Wed Oct 18 2017 Steven Stallion <sstallion@gmail.com> f900662-1
- Initial revision
